libunique-3.0-0_3.0.2-2_amd64.deb


Advertisement

Description

libunique-3.0-0 - Library for writing single instance applications - shared libraries

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libunique-3.0-0
Package version: 3.0.2
Package release: 2
Package architecture: amd64
Package type: deb
Installed size: 112 B
Download size: 46.61 KB
Official Mirror: ftp.br.debian.org
Unique is a library for writing single instance application. If you launch a single instance application twice, the second instance will either just quit or will send a message to the running instance. Unique makes it easy to write this kind of applications, by providing a base class, taking care of all the IPC machinery needed to send messages to a running instance, and also handling the startup notification side. This package contains the shared libraries.

Alternatives

    Download

    Source package: libunique3

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libunique-3.0-0 deb package:
      # sudo apt-get install libunique-3.0-0

    Files

    • /usr/lib/libunique-3.0.so.0
    • /usr/lib/libunique-3.0.so.0.0.2
    • /usr/share/doc/libunique-3.0-0/AUTHORS
    • /usr/share/doc/libunique-3.0-0/NEWS.gz
    • /usr/share/doc/libunique-3.0-0/README
    • /usr/share/doc/libunique-3.0-0/changelog.Debian.gz
    • /usr/share/doc/libunique-3.0-0/changelog.gz
    • /usr/share/doc/libunique-3.0-0/copyright

    Changelog

    2013-05-11 - Emilio Pozuelo Monfort <pochu@debian.org> libunique3 (3.0.2-2) unstable; urgency=low [ Michael Biebl ] * Change section of gir1.2-unique-3.0 to introspection. * debian/watch: Track .xz tarballs. [ Emilio Pozuelo Monfort ] * Remove gir1.2-unique-3.0, it has no rdeps and libunique is deprecated in favor of GApplication/GtkApplication.

    2011-09-29 - Michael Biebl <biebl@debian.org> libunique3 (3.0.2-1) unstable; urgency=low * New upstream release. * debian/watch: - Track stable releases. - Switch to .bz2 tarballs. * Strip debian/tmp/ from .install files.

    2011-05-25 - Michael Biebl <biebl@debian.org> libunique3 (3.0.0-1) unstable; urgency=low [ Josselin Mouette ] * Make the -dev package depend on the gir package. [ Michael Biebl ] * New upstream release. * Drop debian/patches/01_link_x11.patch, fixed upstream. * The gtk-doc documentation is now installed in a versioned directory. Update debian/libunique-3.0-doc.install accordingly. * Bump Standards-Version to 3.9.2. No further changes. * Bump debhelper compatibility level to 8. Update Build-Depends accordingly. * Drop Build-Depends on dh-autoreconf and autoreconf.mk include from debian/rules. No longer required.

    2011-03-19 - Josselin Mouette <joss@debian.org> libunique3 (2.91.4-1) experimental; urgency=low [ Sjoerd Simons ] * New upstream release * Rename source package to libunique3 for parallel maintainability * Turn off gobject-introspection support for now [ Josselin Mouette ] * New upstream pre-release. * Disable dbus (GDBus is the default now). * libunique-3.0-0.symbols: drop dbus symbols. * Update package names according to the new soname. * Remove useless docs file. * Switch to 3.0 (quilt) format. * Remove 99_ltmain_as-needed.patch. * 01_link_x11.patch: add missing link to libX11. * Use dh_autoreconf.

    2010-09-11 - Philipp Kern <pkern@debian.org> libunique (1.1.6-1.1) unstable; urgency=medium * Non-maintainer upload. * Depend on both dbus and dbus-x11 which are required by libunique unconditionally when using the dbus backend (compile-time setting). (Closes: #497401, #595480, #595480) * Correct upstream source location in `debian/copyright'. (Closes: #574352)

    2009-11-12 - Emilio Pozuelo Monfort <pochu@debian.org> libunique (1.1.6-1) unstable; urgency=low * New upstream release.

    2009-11-11 - Josselin Mouette <joss@debian.org> libunique (1.1.2-3) unstable; urgency=low * Move gir1.0-unique-1.0 from the gir-repository source package. Closes: #552812. * Move the .gir to libunique-dev, add corresponding Replaces.

    2009-09-25 - Emilio Pozuelo Monfort <pochu@debian.org> libunique (1.1.2-2) unstable; urgency=low * Upload to unstable. - Remove check-dist.mk include.

    2009-09-01 - Emilio Pozuelo Monfort <pochu@debian.org> libunique (1.1.2-1) experimental; urgency=low * New upstream unstable release. * debian/watch: Update for the new location. * Standards-Version is 3.8.3, no changes needed. * libunique-1.0-0 inherits the section from the source stanza. * debian/rules: include check-dist.mk to prevent uploads to experimental.

    2009-03-22 - Sebastian Dröge <slomo@debian.org> libunique (1.0.8-1) unstable; urgency=low * New upstream release.

    Advertisement
    Advertisement